[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Delete

Delete an item from the list

## Declaration

Source position: fgl.pp line 77

`public procedure TFPSList.Delete(`
`Index: Integer`
`);`

## Arguments

`Index` |  | Item to delete from the list/

## Description

Delete deletes the item at position Index from the list. Depending on the descendent, the list items itself may be cleared as well.

## Errors

If Index is out of bounds, an EListError exception is raised.

## See also

TFPSList.Clear |  | Clear the list
TFPSList.Items |  | Items in the list
TFPSList.Add |  | Add a new item to the list